# Uses of Interface
org.springframework.validation.MessageCodesResolver

Packages that use MessageCodesResolver
Package
Description
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.
org.springframework.validation.beanvalidation
Support classes for integrating a JSR-303 Bean Validation provider (such as Hibernate Validator) into a Spring ApplicationContext and in particular with Spring's data binding and validation APIs.

## Uses of MessageCodesResolver in org.springframework.validation

Classes in org.springframework.validation that implement MessageCodesResolver
Modifier and Type
Class
Description
`class`
`DefaultMessageCodesResolver`
Default implementation of the `MessageCodesResolver` interface.
Methods in org.springframework.validation that return MessageCodesResolver
Modifier and Type
Method
Description
`MessageCodesResolver`
AbstractBindingResult.`getMessageCodesResolver()`
Return the strategy to use for resolving errors into message codes.
Methods in org.springframework.validation with parameters of type MessageCodesResolver
Modifier and Type
Method
Description
`void`
AbstractBindingResult.`setMessageCodesResolver(MessageCodesResolver messageCodesResolver)`
Set the strategy to use for resolving errors into message codes.
`void`
DataBinder.`setMessageCodesResolver(MessageCodesResolver messageCodesResolver)`
Set the strategy to use for resolving errors into message codes.

## Uses of MessageCodesResolver in org.springframework.validation.beanvalidation

Methods in org.springframework.validation.beanvalidation that return MessageCodesResolver
Modifier and Type
Method
Description
`MessageCodesResolver`
MethodValidationAdapter.`getMessageCodesResolver()`
Return the `configured` `MessageCodesResolver`.
Methods in org.springframework.validation.beanvalidation with parameters of type MessageCodesResolver
Modifier and Type
Method
Description
`void`
MethodValidationAdapter.`setMessageCodesResolver(MessageCodesResolver messageCodesResolver)`
Set the strategy to use to determine message codes for violations.